﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GanttView;

namespace GanttRemoveTasks_SL
{
    public partial class MainPage : UserControl
    {
        ViewModel viewModel;

        public MainPage()
        {
            InitializeComponent();
            this.viewModel = this.Resources["ViewModel"] as ViewModel;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.viewModel.Tasks.Clear();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.viewModel.Tasks = new SoftwarePlanning();
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            if (this.viewModel.Tasks.Count > 0)
            {
                this.viewModel.Tasks.RemoveAt(0);
            }
        }

    }
}
